shishi_prompt_password_callback_set(3)

NAME
shishi_prompt_password_callback_set - API function

SYNOPSIS
#include <shishi.h>

void shishi_prompt_password_callback_set(Shishi * handle, shishi_prompt_password_func cb);

ARGUMENTS

Shishi * handle
    shishi handle as allocated by shishi_init().

shishi_prompt_password_func cb
    function pointer to application password callback, a shishi_prompt_password_func type.

DESCRIPTION
Set a callback function that will be used by shishi_prompt_password() to query the user for a password. The function pointer can be retrieved using shishi_prompt_password_callback_get(). The cb function should follow the shishi_prompt_password_func prototype: int prompt_password (Shishi * handle, char **s, const char *format, va_list ap); If the function returns 0, the s variable should contain a newly allocated string with the password read from the user.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.